%if 0%{?el7}
%define dist .el7
%endif

%{!?_unitdir: %global _unitdir /lib/systemd/system}

Name:           tacacs
Version:        4.0.4.28
Release:        2%{?dist}
Summary:        The base source for this TACACS+ package is Cisco's publicly available TACACS+ "developer's kit", for which we are grateful.

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:          System Environment/Daemons
License:        CISCO
URL:            http://www.shrubbery.net/tac_plus/
Source0:        ftp://ftp.shrubbery.net/pub/tac_plus/%{name}-F%{version}.tar.gz
Source1:        tacacs.init
Source2:        tacacs.conf
Source3:        tacacs.service

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  flex bison gcc m4 pam-devel perl
BuildRequires:  gcc-c++ libnsl2-devel
%if 0%{?fedora} < 28
BuildRequires:  tcp_wrappers-devel
%endif


%description
The base source for this TACACS+ package is Cisco's publicly available TACACS+ "developer's kit", for which we are grateful.

%package devel
Summary:    Libraries for %{name}.
Group:      Development/Libraries

%description devel
%{summary}.

%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%package sysvinit
Summary:    sysvinit for %{name}.
Group:      Development/Libraries
Requires:   %{name} = %{version}

%description sysvinit
%{summary}.
%endif

%prep
%setup -q -n %{name}-F%{version}


%build
%ifarch x86_64
CFLAGS="$RPM_OPT_FLAGS"
%endif

%configure \
	--enable-acls \
	--enable-uenable \
	--enable-maxsess \
	--enable-finger \
	--enable-arapdes \
	--enable-mschap \
	--enable-mschapdes \
%if 0%{?fedora} < 28
	--with-libwrap \
%else
	--without-libwrap \
%endif
	--enable-static=no \
	--with-pidfile=%{_localstatedir}/run/tac_plus.pid \
	--with-acctfile=%{_localstatedir}/log/tacacs/tac_plus.acct \
	--with-logfile=%{_localstatedir}/log/tacacs/tac_plus.log \
	--with-whologfile=%{_localstatedir}/log/tacacs/tac_who.log

make
#%{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_localstatedir}/log/tacacs
install -D -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/tac_plus
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/tac_plus/tac_plus.conf.dist
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
install -D -m0644 %{SOURCE3} $RPM_BUILD_ROOT%{_unitdir}/tac_plus.service
%endif

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc CHANGES FAQ INSTALL
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/tac_pwd
%{_sbindir}/tac_plus
%{_mandir}/man5/tac_plus.conf.5*
%{_mandir}/man8/tac_*.8*
%{_libdir}/libtacacs.so.*
%{_datadir}/tacacs/*
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%{_unitdir}/tac_plus.service
%else
%{_sysconfdir}/rc.d/init.d/tac_plus
%endif
%config %{_sysconfdir}/tac_plus/tac_plus.conf.dist
%dir %attr(0700,root,root) %{_localstatedir}/log/tacacs
%if 0%{?rhel} >= 6 || 0%{?fedora}
%ghost %attr(0600,root,root) %{_localstatedir}/log/tacacs/tac_plus.log
%ghost %attr(0600,root,root) %{_localstatedir}/log/tacacs/tac_plus.acct
%ghost %attr(0600,root,root) %{_localstatedir}/log/tacacs/tacwho.log
%endif

%files devel
%{_libdir}/libtacacs.so
%{_includedir}/*.h

%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%files sysvinit
%{_sysconfdir}/rc.d/init.d/tac_plus
%endif

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 4.0.4.28-2
- Update dist for centos7

